curl --request GET \
--url https://api.palomma.com/v0/payinRequests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v0/payinRequests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v0/payinRequests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "01HPR83V7JBNJTKT303NTY3YGA",
"reference": "<string>",
"customerId": "01HPR57X6QR5ZRKEEKBSDBW4RA",
"customerDetails": {
"reference": "<string>",
"name": "Pepito Perez",
"documentType": "cc",
"documentNumber": "1037551022",
"email": "pepito@gmail.com",
"phoneNumber": "3013111111"
},
"payinSourceId": "01HPR7A40E44S0WDR189YXA8GH",
"payinSourceDetails": {
"reference": "<string>",
"description": "<string>",
"partialPayinsEnabled": true,
"type": "bankAccount"
},
"status": "approved",
"statusMessage": "AUTHENTICATION_FAILED",
"amount": 100000,
"amountCollected": 100000,
"fee": 500,
"targetMerchantAccountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"cursor": "fa4c20cf2b51f6a45377c98271e3754da1e29b6827928a8e0b40da5a7d53c971aa22c50b2c8ce83484a0dd36ee0e2570a0520a4f1f4817962d95ba65059b9a28da1a5d4ac7bfe7628fb917efd20608656da58b412ea758ec341cd6dfb226f8be263cefa811848b859a5a71f90f47533e01e969d49c0ac9e4e944b3d0fbd4e207",
"count": 123
}{
"message": "<string>"
}{
"message": "<string>"
}Get All Payin Requests
import axios from "axios";
const getPage = async (input: { limit?: number; cursor?: string }) => {
const response = await axios.get("https://api.palomma.com/v0/payinRequests", {
headers: {
Authorization: "Bearer <token>",
},
params: {
...input,
},
});
if (!response.data) throw new Error();
const { items, cursor, count } = response.data;
return { items, cursor, count };
};
const getAll = async (input: { limit?: number }) => {
let items: any[] = [];
const firstPage = await getPage({ limit: input.limit });
if (firstPage) {
items = items.concat(firstPage.items);
let currentCursor = firstPage.cursor;
while (currentCursor !== null) {
const nextPage = await getPage({
limit: input.limit,
cursor: currentCursor,
});
items = items.concat(nextPage.items);
currentCursor = nextPage.cursor;
}
}
return items;
};
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by reference provided on creation.
Filter by customerId.
Filter by payinSourceId.
Filter by payinSettlementId.
Number of records to return. Default is 20. Maximum is 100.
A cursor for use in pagination. The cursor indicates where to start fetching the results.
Response
List of payin requests successfully retrieved.
Show child attributes
Show child attributes
A cursor for use in pagination. Provide this value in the cursor parameter to retrieve the next set of results. When there are no more results, the cursor will be null.
"fa4c20cf2b51f6a45377c98271e3754da1e29b6827928a8e0b40da5a7d53c971aa22c50b2c8ce83484a0dd36ee0e2570a0520a4f1f4817962d95ba65059b9a28da1a5d4ac7bfe7628fb917efd20608656da58b412ea758ec341cd6dfb226f8be263cefa811848b859a5a71f90f47533e01e969d49c0ac9e4e944b3d0fbd4e207"
The total number of items returned.
